import React, { ElementType } from 'react';
import { IClassNameProps } from '../../../@types';
import { IPopoverCommonProps } from '../popover/Popover';
export interface IMenuPopoverItem extends IClassNameProps {
    disabled?: boolean;
    id: string | number;
    isActive?: boolean;
    isDanger?: boolean;
    onClick?: any;
    value: string | React.ReactElement;
}
export interface IMenuPopoverProps extends IPopoverCommonProps {
    /**
     * Defines the header title for options
     */
    itemsHeader?: React.ReactNode;
    /**
     * Defines popover wrapper class names
     */
    itemsWrapperClass?: string;
    /**
     * Defines menu item element type
     */
    menuItemAs?: ElementType<any | undefined>;
    /**
     * Defines menu item class names
     */
    menuItemClass?: string;
    /**
     * Defines menu item options array
     */
    menuItems: IMenuPopoverItem[];
    /**
     * Defines the border for trigger when hover and selected
     */
    showBorder?: boolean;
}
export declare function MenuPopover({ className, disabled, itemsHeader, itemsWrapperClass, menuItemAs, menuItemClass, menuItems, placement, showBorder, strategy, trigger, triggerButtonClass, isDefaultButtonStyles, ...other }: IMenuPopoverProps): JSX.Element;
//# sourceMappingURL=MenuPopover.d.ts.map