export declare const degreesToRadians: (degrees: number) => number;
export declare const polarToCartesian: (centerX: number, centerY: number, radius: number, angleInDegrees: number) => {
    x: number;
    y: number;
};
interface IuseGaugeParams {
    /**
     * Defines the gauge width (circle diameter to outside edge)
     */
    diameter: number;
    /**
     * Defines the gauge start angle 0 degree to 360 degree
     */
    startAngle: number;
    /**
     * Defines the gauge end angle 0 degree to 360 degree
     */
    endAngle: number;
    /**
     * Defines the gauge domain values between min & max value or start & end value
     */
    domain: [number, number];
}
interface IGetArcPropsParams {
    offset?: number;
    startAngle: number;
    endAngle: number;
}
export declare function useGauge(params: IuseGaugeParams): {
    angleToValue: (angle: number) => number;
    getArcProps: (params: IGetArcPropsParams) => {
        d: string;
    };
    getSVGProps: () => {
        height: number;
        viewBox: string;
        width: number;
    };
    valueToAngle: (value: number) => number;
};
export {};
//# sourceMappingURL=useGauge.d.ts.map