/// <reference types="react" />
import { IReducerAction } from '../types';
interface ILookupItem {
    id: string;
    name: string;
    [x: string]: any;
}
interface ILookupState<T = ILookupItem> {
    hasMore: boolean;
    items: T[];
    page: number;
    searchText: string;
}
/**
 * Manage lookup autocomplete reducer, state and actions
 * @returns addMoreItems, dispatch, initialState, onLoadMore, onSearchFetch, resetState, state, updateState
 * @returns state: { hasMore: boolean, items: [], page: number, searchText: string }
 */
export declare function useLookupReducer(initialState?: Partial<ILookupState>): {
    addMoreItems: (items: any[], payload?: Partial<ILookupState>) => void;
    dispatch: import("react").Dispatch<IReducerAction<ILookupState<ILookupItem>>>;
    initialState: ILookupState<ILookupItem>;
    onLoadMore: () => void;
    onSearchFetch: (searchText: string) => void;
    resetState: () => void;
    state: ILookupState<ILookupItem>;
    updateState: (payload: Partial<ILookupState>) => void;
};
export {};
//# sourceMappingURL=useLookupReducer.d.ts.map